"""initial

Revision ID: 32b8c728abbf
Revises: 
Create Date: 2021-03-25 11:48:35.569624

"""
from alembic import op
import sqlalchemy as sa
from openmodule.database.custom_types import TZDateTime

# revision identifiers, used by Alembic.
revision = '32b8c728abbf'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('test',
    sa.Column('id', sa.String(), nullable=False),
    sa.Column('value1', sa.Integer(), nullable=True),
    sa.Column('value2', sa.Integer(), nullable=True),
    sa.Column('string', sa.String(), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('id')
    )
    op.create_table('test_timezone',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('tz_datetime', TZDateTime(), nullable=True),
    sa.Column('date', sa.Date(), nullable=True),
    sa.Column('time', sa.Time(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('test_timezone')
    op.drop_table('test')
    # ### end Alembic commands ###
